Tor dependency missing in 1.7 Repository

If your problem doesn't fall into one of the other categories, report it here.

Moderator: Moderators

bad_Phantom
Posts: 6
Joined: Fri May 15, 2015 9:37 am

Tor dependency missing in 1.7 Repository

Postby bad_Phantom » Fri May 15, 2015 10:06 am

Hi Guys,

I wanted to give a try to the v1.7 Gargoly image in combination with the Tor plugin.
I tried v1.7.1 + v.1.7.2 and in both I had the same problem when trying to install Tor. It showed me up that it was installing but finished very fast. After looking again on the plugins tab, it still showed me Tor as NOT installed.

Then I tried through SSH with opkg install plugin-gargoly-tor and there it showed me the error that one of the depends was not on the repository. Unfourtunately I don't remember anymore which one it was, as i reverted back to v.1.6.2.
If i'm not wrong i guess it was one of the iptables depends that opkg showed me as missing. Thats why Tor couldnt be installed on the 1.7.x Images.

Maybe one of the admins can try out and fix the missing dependency for the Tor plugin in the Repos of 1.7.1 + 1.7.2!

regards,
PhanTom

Lantis
Moderator
Posts: 5098
Joined: Mon Jan 05, 2015 5:33 am
Location: Australia

Re: Tor dependency missing in 1.7 Repository

Postby Lantis » Fri May 15, 2015 10:52 am

It is preinstalled for me. What router are you using?
Routers: Various ar71xx/mvebu/x86-64
http://lantisproject.com/downloads/gargoyle_ispyisail.php for the latest releases

bad_Phantom
Posts: 6
Joined: Fri May 15, 2015 9:37 am

Re: Tor dependency missing in 1.7 Repository

Postby bad_Phantom » Fri May 15, 2015 11:22 am

Hi, i'm using a WR1043ND v1.1. But like i said i don't remember the exact package name.... maybe later on i will flash mine to 1.7.1 and try out again and see which packages was missing on the repo, so we know it for sure.

bad_Phantom
Posts: 6
Joined: Fri May 15, 2015 9:37 am

Re: Tor dependency missing in 1.7 Repository

Postby bad_Phantom » Fri May 15, 2015 5:12 pm

So I updated my 1043ND now to 1.7.1 to check for the exact error. Here it is:

root@Gargoyle:/# opkg install plugin-gargoyle-tor
ERROR: Dependency iptables-mod-ipset of package plugin-gargoyle-tor cannot be found, try updating your package lists

Of course before running the opkg install command i ran opkg update.

If I try to install the missing package from repository i get the following:
root@Gargoyle:/# opkg install iptables-mod-ipset
ERROR: No package named iptables-mod-ipset found, try updating your package lists

Hope an admin can check this on the repository and fix the missing package, or the package is missing already in the image for the 1043ND v1 (if it should be on board there from beginning).

regards,
PhanTom

Lantis
Moderator
Posts: 5098
Joined: Mon Jan 05, 2015 5:33 am
Location: Australia

Re: Tor dependency missing in 1.7 Repository

Postby Lantis » Fri May 15, 2015 7:12 pm

Code: Select all

#Tor only seems to work on routers with 64MB+ memory, only enable if available memory > 32MB

This could be an issue later. Anyway.

Can you please post the output of

Code: Select all

gpkg list-installed
Routers: Various ar71xx/mvebu/x86-64
http://lantisproject.com/downloads/gargoyle_ispyisail.php for the latest releases

bad_Phantom
Posts: 6
Joined: Fri May 15, 2015 9:37 am

Re: Tor dependency missing in 1.7 Repository

Postby bad_Phantom » Sun May 17, 2015 3:53 pm

Hi, thx for you help.

With 1.6.2 I have no problems installing and using Tor, with an attached USB Stick with additional Swap partition.

Is this information (Tor only for routers with more then 64MB Ram) only valid for 1.7.x images?

I guess I will then be using the 1.6.2 Image instead, as this seem to work.

here is my output you requested from 1.7.1:

Code: Select all

root@Gargoyle:/# opkg list-installed
badblocks - 1.42.4-1
base-files - 156-unknown
blkid - 2.24.1-1
block-mount - 2014-06-22-e0430f5c62f367e5a8e02755412977b02c3fc45e
bridge - 1.5-2
busybox - 1.22.1-3
bwmon-gargoyle - 1.7.1-1
chat - 2.4.7-2
comgt - 0.32-23
ddns-gargoyle - 1.7.1-1
disktype - 9-2
dnsmasq - 2.71-4
dosfsck - 3.0.9-1
dropbear - 2014.65-1
e2fsprogs - 1.42.4-1
ebtables - 2.0.10-4-1
ewget - 1.7.1-1
fdisk - 2.24.1-1
firewall - 2014-09-19
fstools - 2014-06-22-e0430f5c62f367e5a8e02755412977b02c3fc45e
gargoyle - 1.7.1-6
gargoyle-firewall-util - 1.7.1-1
gargoyle-i18n - 0.2.1-1
gpkg - 1.7.1-1
haserl-i18n - 0.9.26-1
hostapd-common - 2014-06-03.1-1
httpd-gargoyle - 1.7.1-1
ip-full - 3.15.0-1
ipset - 6.20.1-1
iptables - 1.4.21-1
iptables-mod-bandwidth - 1.4.21-1
iptables-mod-conntrack-extra - 1.4.21-1
iptables-mod-extra - 1.4.21-1
iptables-mod-filter - 1.4.21-1
iptables-mod-imq - 1.4.21-1
iptables-mod-ipopt - 1.4.21-1
iptables-mod-iprange - 1.4.21-1
iptables-mod-nat-extra - 1.4.21-1
iptables-mod-timerange - 1.4.21-1
iptables-mod-webmon - 1.4.21-1
iptables-mod-weburl - 1.4.21-1
iw - 3.15-1
iwinfo - 51
jshn - 2014-08-04-dffbc09baf71b294185a36048166d00066d433b5
jsonfilter - 2014-06-19-cdc760c58077f44fc40adbbe41e1556a67c1b9a9
kernel - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-ath - 3.10.49+2014-05-22-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-ath9k - 3.10.49+2014-05-22-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-ath9k-common - 3.10.49+2014-05-22-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-bridge - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-cfg80211 - 3.10.49+2014-05-22-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-crypto-aes - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-crypto-arc4 - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-crypto-core - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-crypto-ecb - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-crypto-hash - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-crypto-manager - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-crypto-pcompress - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-crypto-sha1 - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-dnsresolver - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-ebtables - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-fs-exportfs - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-fs-ext4 - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-fs-hfsplus - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-fs-msdos - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-fs-nfs - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-fs-nfs-common - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-fs-nfsd - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-fs-vfat - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-fuse - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-gpio-button-hotplug - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-gre - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-ipt-bandwidth - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-ipt-conntrack - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-ipt-conntrack-extra - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-ipt-core - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-ipt-extra - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-ipt-filter - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-ipt-imq - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-ipt-ipopt - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-ipt-iprange - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-ipt-ipset - 3.10.49+6.20.1-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-ipt-nat - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-ipt-nat-extra - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-ipt-nathelper - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-ipt-nathelper-extra - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-ipt-timerange - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-ipt-webmon - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-ipt-weburl - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-iptunnel - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-ledtrig-usbdev - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-lib-crc-ccitt - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-lib-crc16 - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-lib-textsearch - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-llc - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-mac80211 - 3.10.49+2014-05-22-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-mii - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-mppe - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-nfnetlink - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-nls-base - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-nls-cp1250 - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-nls-cp1251 - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-nls-cp437 - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-nls-cp775 - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-nls-cp850 - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-nls-cp852 - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-nls-cp862 - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-nls-cp864 - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-nls-cp866 - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-nls-cp932 - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-nls-iso8859-1 - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-nls-iso8859-13 - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-nls-iso8859-15 - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-nls-iso8859-2 - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-nls-iso8859-6 - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-nls-iso8859-8 - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-nls-koi8r - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-nls-utf8 - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-ppp - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-pppoe - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-pppox - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-pptp - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-sched - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-sched-core - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-scsi-core - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-slhc - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-stp - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-tun - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-usb-acm - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-usb-core - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-usb-net - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-usb-net-qmi-wwan - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-usb-ohci - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-usb-printer - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-usb-serial - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-usb-serial-option - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-usb-serial-qualcomm - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-usb-serial-sierrawireless - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-usb-serial-wwan - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-usb-storage - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-usb-storage-extras - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-usb-wdm - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
kmod-usb2 - 3.10.49-1-3d085dc48e07dd4b62ddca86b61e76b8
libbbtargz - 1.7.1-1
libblkid - 2.24.1-1
libblobmsg-json - 2014-08-04-dffbc09baf71b294185a36048166d00066d433b5
libc - 0.9.33.2-1
libcyassl - 3.2.0-1
libericstools - 1.7.1-1
libevent - 1.4.14b-2
libevent2 - 2.0.19-1
libevent2-core - 2.0.19-1
libevent2-extra - 2.0.19-1
libevent2-openssl - 2.0.19-1
libevent2-pthreads - 2.0.19-1
libext2fs - 1.42.4-1
libgcc - 4.8-linaro-1
libip4tc - 1.4.21-1
libiptbwctl - 1.7.1-1
libiwinfo - 51
libjson-c - 0.11-2
libjson-script - 2014-08-04-dffbc09baf71b294185a36048166d00066d433b5
liblzo - 2.08-1
libmnl - 1.0.1-1
libnfnetlink - 1.0.0-2
libnl-tiny - 0.1-3
libopenssl - 1.0.2-2
libpthread - 0.9.33.2-1
librpc - 0.9.32-rc2-0a2179bbc0844928f2a0ec01dba93d9b5d6d41a7
librt - 0.9.33.2-1
libubox - 2014-08-04-dffbc09baf71b294185a36048166d00066d433b5
libubus - 2014-09-17-4c4f35cf2230d70b9ddd87638ca911e8a563f2f3
libuci - 2014-04-11.1-1
libusb-1.0 - 1.0.9-1
libuuid - 2.24.1-1
libwrap - 7.6-1
libxtables - 1.4.21-1
miniupnpd - 1.9.20141209-1
mtd - 20
netifd - 2014-09-08.1-46c569989f984226916fec28dd8ef152a664043e
nfs-kernel-server - 1.2.9-1
nfs-kernel-server-utils - 1.2.9-1
nfs-utils - 1.2.9-1
ntfs-3g - 2011.4.12-1-fuseint
openssl-util - 1.0.2-2
openvpn-easy-rsa - 2013-01-30-2
openvpn-openssl - 2.3.6-1
p910nd - 0.95-1
plugin-gargoyle-i18n-English-EN - 1.0.0-1
plugin-gargoyle-openvpn - 1.7.1-1
plugin-gargoyle-usb-printer - 1.7.1-1
plugin-gargoyle-usb-storage - 1.7.1-1
portmap - 6.0-3
ppp - 2.4.7-2
ppp-mod-pppoe - 2.4.7-2
procd - 2014-09-15-c1a558f7d0c1e6c1ffa5a47d557a7b45205eef1d
qos-gargoyle - 1.7.1-1
resolveip - 2
samba36-server - 3.6.24-1
share-users - 1.7.1-1
swap-utils - 2.24.1-1
swconfig - 10
tc - 3.15.0-1
uboot-envtools - 2014.04-4
ubox - 2014-09-16-5c45b560bc8c9e13682269ed963a8a4a65959518
ubus - 2014-09-17-4c4f35cf2230d70b9ddd87638ca911e8a563f2f3
ubusd - 2014-09-17-4c4f35cf2230d70b9ddd87638ca911e8a563f2f3
uci - 2014-04-11.1-1
uqmi - 2014-05-27-d7a56cad6d6ef3c2a5602fc604e31999eb9e78fa
usb-modeswitch - 2014-07-18-01ecc3b9764d1dd89cf36ede0a2d98f9adb0cd33
vsftpd - 3.0.2-2
webmon-gargoyle - 1.7.1-1
wireless-tools - 29-5
wol - 0.7.1-2
wpad - 2014-06-03.1-1
zip - 2.32-1
zlib - 1.2.8-1
root@Gargoyle:/#

Lantis
Moderator
Posts: 5098
Joined: Mon Jan 05, 2015 5:33 am
Location: Australia

Re: Tor dependency missing in 1.7 Repository

Postby Lantis » Sun May 17, 2015 6:42 pm

I have a suspicion that if you do a "force depends" install (i.e. Ignore them) it will work fine for you.

If you're happy to test go ahead otherwise stick with 1.6.2. If I'm wrong that's where you'll end up back at anyway so make a backup first :)
Routers: Various ar71xx/mvebu/x86-64
http://lantisproject.com/downloads/gargoyle_ispyisail.php for the latest releases

bad_Phantom
Posts: 6
Joined: Fri May 15, 2015 9:37 am

Re: Tor dependency missing in 1.7 Repository

Postby bad_Phantom » Mon May 18, 2015 7:27 am

Hi, I already did a force depends install (after checking which alternatives I had with the install command) but it ended up telling me it cannot be installed.

I already reverted back to 1.6.2. There it is working fine.
I only opened up this case here, because in my opinion there was a package missing on the 1.7.x repo, so that maybe an admin could add the missing one on the repo. (are you an admin Lantis? :)) But maybe it's how it should work and not supported for my router with 1.7.x.

Thx for your help anyways Lantis. Hopefully in a later release the problem will be solved.

Lantis
Moderator
Posts: 5098
Joined: Mon Jan 05, 2015 5:33 am
Location: Australia

Re: Tor dependency missing in 1.7 Repository

Postby Lantis » Mon May 18, 2015 7:32 am

Nah not an admin. Just an interested bystander.
I'll open an issue for you though :)
Routers: Various ar71xx/mvebu/x86-64
http://lantisproject.com/downloads/gargoyle_ispyisail.php for the latest releases

Lantis
Moderator
Posts: 5098
Joined: Mon Jan 05, 2015 5:33 am
Location: Australia

Re: Tor dependency missing in 1.7 Repository

Postby Lantis » Tue May 19, 2015 1:14 am

Just wanted to let you know this has been fixed, but the repository won't be updated until the next release.

All of the functionality is now built into kmod_ipt_ipset.

Not sure when the next release will be however.
Thanks for sticking with the issue :)
Routers: Various ar71xx/mvebu/x86-64
http://lantisproject.com/downloads/gargoyle_ispyisail.php for the latest releases


Return to “Other Issues”

Who is online

Users browsing this forum: No registered users and 3 guests